For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get Started
Docs & GuidesAPI Reference
Docs & GuidesAPI Reference
  • Authentication
    • API Authentication
  • API Reference
        • POSTCreate Dataset
        • DELDelete Dataset By Id
        • GETGet Dataset By Id
        • GETGet Datasets
        • PATCHUpdate Dataset By Id
Get Started
LogoLogo
API ReferenceDatasetsDataset

Delete Dataset By Id

DELETE
https://api.coactive.ai/api/v1/datasets/:dataset_id
DELETE
/api/v1/datasets/:dataset_id
$curl -X DELETE https://api.coactive.ai/api/v1/datasets/dataset_id \
> -H "Authorization: Bearer <token>"
1{
2 "created_dt": "2026-05-29T19:00:16.311121Z",
3 "created_by": "user123",
4 "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
5 "name": "march_2025_sports_clips",
6 "embeddings": [
7 {
8 "id": "44b5df56-fb37-4132-8902-2940c80d9089",
9 "name": "multimodal",
10 "modality": "image",
11 "modalities": [
12 "image",
13 "video"
14 ]
15 }
16 ],
17 "encoders": [
18 {
19 "id": "44b5df56-fb37-4132-8902-2940c80d9089",
20 "name": "multimodal",
21 "modality": "image",
22 "modalities": [
23 "image",
24 "video"
25 ]
26 }
27 ],
28 "description": "Clips from March Madness",
29 "allowed_asset_types": [
30 "image",
31 "video"
32 ],
33 "status": "active",
34 "keyframe_sampling_method": "intelligent",
35 "store_original": true,
36 "store_preview": true,
37 "updated_dt": "2026-05-29T19:00:16.311172Z",
38 "updated_by": "user123",
39 "deleted_dt": "2026-05-29T19:00:16.311236Z",
40 "deleted_by": "user123",
41 "keyframe_uniform_fps_sampling_rate": 1,
42 "metadata_fields_to_index": [
43 "title",
44 "description"
45 ],
46 "metadata_fields_to_embed": [
47 "title",
48 "description"
49 ],
50 "dataset_config": {
51 "embedding_id": {
52 "audio_transcript": "a8d6a1f6-800d-499a-bb37-822fc71dfac2",
53 "audio_transcript_chunk": "c5e1d8a0-3f4b-4c9b-9d1e-2f6a8b5c7d3e",
54 "capped-shot-segment": "09bdcde7-8b89-4229-9494-35a4e52690ca",
55 "image": "b25cf36e-e9b3-41d2-a856-47c891622cf9"
56 },
57 "encoder_name": {
58 "audio_transcript": "st-qwen-p6b",
59 "audio_transcript_chunk": "st-qwen-p6b",
60 "capped-shot-segment": "nova2-multimodal-1024",
61 "image": "nova2-multimodal-1024"
62 },
63 "extra_config": {
64 "composite_settings": {
65 "capped-shot-segment": {
66 "maximum_slice_duration_seconds": 30
67 }
68 }
69 },
70 "hybrid_search": {
71 "weights": {
72 "image": 0.5,
73 "text": 0.5
74 }
75 },
76 "new_video_data_model": false,
77 "context_studio_enabled": false,
78 "metadata_fields_to_embed": [
79 "title",
80 "description"
81 ],
82 "metadata_fields_to_index": [
83 "title",
84 "description"
85 ],
86 "celebrity_detection_enabled": false,
87 "agentic_search_metadata_description": {
88 "director": "The film director's name",
89 "year": "Release year as integer"
90 },
91 "asset_identifier_key": "external_id",
92 "context_studio_export_json_connection_name": "my_connection"
93 }
94}
Delete a dataset by its unique identifier
Was this page helpful?
Previous

Get Dataset By Id

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dataset_idstringRequiredformat: "uuid"

Response

Successful Response
created_dtstringformat: "date-time"
The created datetime of the resource in ISO 8601 format.
created_bystring
ID of the user who added the asset to the dataset.
idstringformat: "uuid"
The unique identifier for the dataset.
namestring
Name of the dataset, must be unique per organization and must only contain alphanumeric and underscore characters.
embeddingslist of objects
The encoders of the dataset.
encoderslist of objects
The encoders of the dataset.
descriptionstring or null
A short summary of what the dataset includes or is intended for.
allowed_asset_typeslist of enums
Types of assets allowed in this dataset.
Allowed values:
statusenum or null
The status of the dataset.
Allowed values:
keyframe_sampling_methodenum
Sampling method to extract keyframes from videos in dataset.
Allowed values:
store_originalboolean
Whether the original file is stored.
store_previewboolean
Whether preview files are stored.
updated_dtstring or nullformat: "date-time"
The datetime the resource was last updated in ISO 8601 format.
updated_bystring or null
ID of the user who last updated the asset.
deleted_dtstring or nullformat: "date-time"
Timestamp if the resource was deleted.
deleted_bystring or null
ID of the user who deleted the resource.
keyframe_uniform_fps_sampling_ratedouble or null
FPS rate used for uniform sampling.
metadata_fields_to_indexlist of strings or null
The metadata fields to index for the dataset.
metadata_fields_to_embedlist of strings or null
The metadata fields to embed for the dataset.
dataset_configobject or null

Errors

422
Unprocessable Entity Error